; $Id: dcs_multiplechoice.pro,v 1.4 2002/07/13 20:14:57 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
pro dcs_multiplechoice,dcs_base,decision,match_title,message_str,maxlen,$
	nbuttonrow=nbuttonrow,blabel=blabel,skipdefaultchoices=skipdefaultchoices
;************************************************************************************************
; This routine sets things up for a call to "dcs_multichoice_modal", which displays a modal
; widget with a set of choices.
;
compile_opt strictarr
;
	mindex=where(message_str.title eq match_title)
	mindex=mindex[0]
	message=message_str.text[mindex]
	dcs_superstring_wrap,message[0],maxlen,outstring,error
	com="blabel=["+message_str.choices[mindex]+"]"
	result=execute(com)
	def_button=message_str.def[mindex]
	can_button=message_str.can[mindex]
	nbutton=n_elements(blabel)
	if (not keyword_set(nbuttonrow)) then nbuttonrow=[nbutton]
	;
	if (skipdefaultchoices and def_button ge 0) then decision=def_button else $
		dcs_multichoice_modal,outstring,decision,blabel,def_button,can_button,$
			group_leader=dcs_base,alignment=0,nbuttonrow=nbuttonrow
end